HPRT AI Platform
开发者接入Overview

Create Edit Session

POST
/api/v1/edit-sessions

Header Parameters

Idempotency-Key?|null
X-Client-App?string|null
Authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/edit-sessions" \  -H "Content-Type: application/json" \  -d '{    "source_asset_id": "b2c3f302-1ba4-44ad-bd8e-1c7eed49f940"  }'
{  "client_platform": "string",  "client_version": "string",  "completed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "data_home": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "metadata": {},  "source": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "media_type": "string",    "sha256": "string",    "size_bytes": 0,    "thumbnail_url": "string",    "url": "string"  },  "status": "active",  "title": "string",  "updated_at": "2019-08-24T14:15:22Z"}